#ifndef PLUGINSETTINGDIALOG_H
#define PLUGINSETTINGDIALOG_H

#include <QDialog>
#include <QList>
#include <QCheckBox>
#include <QRadioButton>
#include <QGroupBox>

class PluginSettingDialog : public QDialog
{
    Q_OBJECT
public:

    static void
    showSettingsDialog( QWidget* parent );


private slots:
    void
    selectPlugins( bool enabled );

private:
    PluginSettingDialog( QWidget* parent = 0 );
    void
    showSettings();

    QList<QCheckBox*> pluginChecks;
    QRadioButton*     all;
    QRadioButton*     none;
    QGroupBox*        groupBox;
};

#endif // PLUGINSETTINGDIALOG_H
